##
##  sam2p.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2009 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         sam2p
Summary:      Bitmap Image to PDF/PS Conversion
URL:          http://www.inf.bme.hu/~pts/sam2p/
Vendor:       Peter Szabo
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      GPL
Version:      0.47
Release:      20091123

#   list of sources
Source0:      ftp://ftp.openpkg.org/sources/CPY/VERSIONED/sam2p/sam2p-%{version}.tar.gz
Patch0:       sam2p.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, ghostscript, make, gcc, perl, bash
PreReq:       OpenPKG, openpkg >= 20040130, ghostscript
BuildPreReq:  jpeg, gzip, infozip
PreReq:       jpeg, gzip, infozip
AutoReq:      no
AutoReqProv:  no

%description
    sam2p is a UNIX command line utility written in ANSI C++ that
    converts many raster (bitmap) image formats into Adobe PostScript
    or PDF files. The images are not vectorized. sam2p gives full
    control to the user to specify standards-compliance, compression,
    and bit depths. It is common that sam2p can compress an image down
    to an 50kB Level1 PostScript file without quality loss, while other
    popular converters produce multi-megabyte output. sam2p provides
    some Level3 compression filters even on Level1 devices.

%track
    prog sam2p = {
        version   = %{version}
        url       = ftp://ftp.openpkg.org/sources/CPY/VERSIONED/sam2p/
        regex     = sam2p-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-debug \
        --enable-lzw \
        --enable-zip \
        --enable-fax \
        --enable-gif
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        sam2p $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

